Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   CentOS (http://www.linux-archive.org/centos/)
-   -   Centos 6 - vnc - authentication is required to set the network proxy used for downloading packages (http://www.linux-archive.org/centos/669872-centos-6-vnc-authentication-required-set-network-proxy-used-downloading-packages.html)

Frank Cox 05-23-2012 12:26 AM

Centos 6 - vnc - authentication is required to set the network proxy used for downloading packages
 
A window keeps popping up on my remote desktop stating "authentication is
required to set the network proxy used for downloading packages. An
application is attempting to perform an action that requires privileges.
Authentication as the super user is required to perform this action" and asking
for the root password. If I hit cancel it comes back several minutes later.

I've found several references to this issue doing various google searches, but
nothing that clearly states a solution.

How can I get rid of this?

--
MELVILLE THEATRE ~ Real D 3D Digital Cinema ~ www.melvilletheatre.com
www.creekfm.com - FIFTY THOUSAND WATTS of POW WOW POWER!
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos

John Stanley 05-23-2012 04:12 AM

Centos 6 - vnc - authentication is required to set the network proxy used for downloading packages
 
On Tue, 2012-05-22 at 18:26 -0600, Frank Cox wrote:
> A window keeps popping up on my remote desktop stating "authentication is
> required to set the network proxy used for downloading packages. An

Sounds like PackageKit to me. DBUS controls it. I find it really
annoying....

/etc/yum/pluginconf.d/refresh-packagekit.conf
/usr/sbin/packagekitd

Alternatively you can set the yum proxy.


John
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos

Frank Cox 05-23-2012 05:11 AM

Centos 6 - vnc - authentication is required to set the network proxy used for downloading packages
 
On Wed, 23 May 2012 00:12:45 -0400
John Stanley wrote:

> On Tue, 2012-05-22 at 18:26 -0600, Frank Cox wrote:
> > A window keeps popping up on my remote desktop stating "authentication is
> > required to set the network proxy used for downloading packages. An
>
> Sounds like PackageKit to me. DBUS controls it. I find it really
> annoying....
>
> /etc/yum/pluginconf.d/refresh-packagekit.conf
> /usr/sbin/packagekitd
>
> Alternatively you can set the yum proxy.

Your answer is not completely clear to me.

I just went into /etc/yum/pluginconf.d/refresh-packagekit.conf and changed
"enabled=1" to "enabled=0"

I then restarted vncserver (service vncserver restart) and when I logged back
into my remote desktop I was greeted with the same "authentication is
required to set the network proxy used for downloading packages. An
application is attempting to perform an action that requires privileges.
Authentication as the super user is required to perform this action" window
that I'm trying to get rid of.

/usr/sbin/packagekitd is a binary file that I can't edit and my google
searching indicates that it's a daemon that's started on demand when you run
yum. I'm not running yum at the moment but I see that packagekitd is running
anyway for reasons beyond my understanding. Neither yum or packagekitd are
listed by system-config-services.

This machine has no network proxy set and doesn't require one.

I have set Preferences-Software Updates to "Check for updates Never" and
"Automatically install Nothing", and that makes no difference either.

So what am I missing?

--
MELVILLE THEATRE ~ Real D 3D Digital Cinema ~ www.melvilletheatre.com
www.creekfm.com - FIFTY THOUSAND WATTS of POW WOW POWER!
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos

Frank Cox 05-23-2012 05:24 AM

Centos 6 - vnc - authentication is required to set the network proxy used for downloading packages
 
On Tue, 22 May 2012 23:11:43 -0600
Frank Cox wrote:

> So what am I missing?

I think I've found it. I ran gnome-session-properties and un-checked PackageKit
Update Applet

I just restarted vncserver and this time I don't have that annoying window
popping up on my remote desktop. So it appears that's the fix.

--
MELVILLE THEATRE ~ Real D 3D Digital Cinema ~ www.melvilletheatre.com
www.creekfm.com - FIFTY THOUSAND WATTS of POW WOW POWER!
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos

John Stanley 05-23-2012 08:25 AM

Centos 6 - vnc - authentication is required to set the network proxy used for downloading packages
 
On Tue, 2012-05-22 at 23:24 -0600, Frank Cox wrote:
> On Tue, 22 May 2012 23:11:43 -0600
> Frank Cox wrote:
>
> > So what am I missing?

Best way I found was to remove PackageKit and all its packages (Desktops
it causes a major user whine and loads of complaints).

> I think I've found it. I ran gnome-session-properties and un-checked PackageKit
> Update Applet

That'll work also but for that one user account

> I just restarted vncserver and this time I don't have that annoying window
> popping up on my remote desktop. So it appears that's the fix.

Also yes packagekitd is a binary but controled by DBUS. I think that is
just silly because it has no service command to stop it. Stopping
'dbus' should take care of it but then you will prolly be stopping
really needed things.


John
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos


All times are GMT. The time now is 09:26 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.